afilias-rtk-addon: extension for supplemental data (.PRO)
==========================================

------------
introduction
------------

----------
class list
----------

for Java:
	com.liberty.rtk.extension.epprtk.SupplementalDataCreate
	com.liberty.rtk.extension.epprtk.SupplementalDataUpdate
        com.liberty.rtk.extension.epprtk.SupplementalDataUpdatePut
        com.liberty.rtk.extension.epprtk.SupplementalDataInfData
for C++
	eppobject::epp::SupplementalDataCreate
	eppobject::epp::SupplementalDataInfData
        eppobject::epp::SupplementalDataUpdate
        eppobject::epp::SupplementalDataUpdatePut

----------
XML schema
----------
    epp/xsd/supplementalData-1.0.xsd

---------------
JSON definition
---------------

{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    	"profession": {"type": "string", "minLength" : 1, "maxLength" : 50, "required":true},
    	"authorityName": {"type": "string", "maxLength" : 100},
    	"authorityURL": {"type": "string", "maxLength" : 150},
    	"licenseNumber": {"type": "string", "maxLength" : 50}
  }
}

{
   "profession": "Driver",
   "authorityName": "MTO"
}

------------
XML examples
------------
   SupplementalData for ContactCreate:
       <extension>
          <supplementalData:create 
           xmlns:supplementalData='urn:afilias:params:xml:ns:supplementalData-1.0' 
           xsi:schemaLocation='urn:afilias:params:xml:ns:supplementalData-1.0 
           supplementalData-1.0.xsd'>
              <supplementalData:value>{&quot;profession&quot;: &quot;Driver&quot;,&quot;authorityName&quot;: &quot;MTO&quot;}</supplementalData:value>
          </supplementalData:create>
       </extension>

   SupplementalData for ContactInfo
        <extension>
          <supplementalData:infData 
           xmlns:supplementalData='urn:afilias:params:xml:ns:supplementalData-1.0' 
           xsi:schemaLocation='urn:afilias:params:xml:ns:supplementalData-1.0 
           supplementalData-1.0.xsd'>
             <supplementalData:value>{&quot;profession&quot;: &quot;Driver&quot;,&quot;authorityName&quot;: &quot;MTO&quot;}</supplementalData:value>
         </supplementalData:infData>
        </extension>
  
   SupplementalData for ContactUpdate
       <extension>
         <supplementalData:update 
          xmlns:supplementalData='urn:afilias:params:xml:ns:supplementalData-1.0' 
          xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' 
          xsi:schemaLocation='urn:afilias:params:xml:ns:supplementalData-1.0 
          supplementalData-1.0.xsd'>
            <supplementalData:put>
               <supplementalData:value>{&quot;profession&quot;: &quot;Driver1&quot;,&quot;authorityName&quot;: &quot;MTO&quot;}</supplementalData:value>
            </supplementalData:put>
         </supplementalData:update>
       </extension>

--------
examples
--------

To run SupplementalData example

Java Example
   - com.liberty.rtk.extension.epprtk.example.SupplementalDataExample
C++ Example:
   - main_supplementaldataexample.cc(supplementaldataexample)
