#! /bin/sh
# -----------------------------------------------------------------------------
# build.sh -- Build Script for the "Struts" Toolkit
#
# Supported Environment Variables (default values in square brackets):
#
#   JAVA_HOME             Java Development Kit directory. [REQUIRED]
#
#   RTK_HOME              Location of the EPP RTK.
#                         [$HOME/epp-rtk]
#
# $Id: build.sh,v 1.3 2005/09/21 14:29:08 ewang2004 Exp $
# -----------------------------------------------------------------------------


# ----- Verify and Set Required Environment Variables -------------------------

if [ "$JAVA_HOME" = "" ] ; then
  echo You must set JAVA_HOME to point at your Java Development Kit directory
  exit 1
fi

if [ "$RTK_HOME" = "" ] ; then
  RTK_HOME=$HOME/epp-rtk
fi

if [ "$ADDON_HOME" = "" ] ; then
  ADDON_HOME=$HOME/afilias-rtk-addon
fi

# ----- Set Up The Runtime Classpath ------------------------------------------

if [ "$CLASSPATH" = "" ] ; then
  CP=$ANT_HOME/lib/ant-launcher.jar:$RTK_HOME/java/lib/xerces.jar:$RTK_HOME/java/lib/epp-rtk-java.jar:$JAVA_HOME/lib/tools.jar:$ADDON_HOME/java/lib/IDNSDK.jar:$ADDON_HOME/java/lib/junit.jar
else
  CP=$ANT_HOME/lib/ant-launcher.jar:$RTK_HOME/java/lib/xerces.jar:$RTK_HOME/java/lib/epp-rtk-java.jar:$JAVA_HOME/lib/tools.jar:$ADDON_HOME/java/lib/IDNSDK.jar:$ADDON_HOME/java/lib/junit.jar:$CLASSPATH
fi

# ----- Execute The Requested Build -------------------------------------------

java $ANT_OPTS -classpath "$CP" org.apache.tools.ant.launch.Launcher \
 -Dant.home=$ANT_HOME \
 -Dant.library.dir=$ANT_HOME/lib \
 "$@"
